diff --git a/ArmPlatformPkg/Drivers/ArmTrustZone/ArmTrustZone.c b/ArmPlatformPkg/Drivers/ArmTrustZone/ArmTrustZone.c
deleted file mode 100644
index 1f002198e552..000000000000
--- a/ArmPlatformPkg/Drivers/ArmTrustZone/ArmTrustZone.c
+++ /dev/null
@@ -1,113 +0,0 @@
-/** @file
-*
-*  Copyright (c) 2011-2012, ARM Limited. All rights reserved.
-*
-*  This program and the accompanying materials
-*  are licensed and made available under the terms and conditions of the BSD License
-*  which accompanies this distribution.  The full text of the license may be found at
-*  http://opensource.org/licenses/bsd-license.php
-*
-*  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-*  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-*
-**/
-
-#include <Library/BaseLib.h>
-#include <Library/IoLib.h>
-
-#include <Drivers/ArmTrustzone.h>
-
-#define TZPC_DECPROT0_STATUS_REG        0x800
-#define TZPC_DECPROT0_SET_REG           0x804
-#define TZPC_DECPROT0_CLEAR_REG         0x808
-
-#define TZASC_CONFIGURATION_REG         0x000
-#define TZASC_REGIONS_REG               0x100
-#define TZASC_REGION0_LOW_ADDRESS_REG   0x100
-#define TZASC_REGION0_HIGH_ADDRESS_REG  0x104
-#define TZASC_REGION0_ATTRIBUTES        0x108
-
-/**
-    FIXME: Need documentation
-**/
-EFI_STATUS
-TZPCSetDecProtBits (
-  IN  UINTN TzpcBase,
-  IN  UINTN TzpcId,
-  IN  UINTN Bits
-  )
-{
-  if (TzpcId > TZPC_DECPROT_MAX) {
-    return EFI_INVALID_PARAMETER;
-  }
-
-  MmioWrite32 ((UINTN)TzpcBase + TZPC_DECPROT0_SET_REG + (TzpcId * 0x0C), Bits);
-
-  return EFI_SUCCESS;
-}
-
-/**
-    FIXME: Need documentation
-**/
-EFI_STATUS
-TZPCClearDecProtBits (
-  IN  UINTN TzpcBase,
-  IN  UINTN TzpcId,
-  IN  UINTN Bits
-  )
-{
-  if (TzpcId> TZPC_DECPROT_MAX) {
-    return EFI_INVALID_PARAMETER;
-  }
-
-  MmioWrite32 ((UINTN)TzpcBase + TZPC_DECPROT0_CLEAR_REG + (TzpcId * 0x0C), Bits);
-
-  return EFI_SUCCESS;
-}
-
-/**
-    FIXME: Need documentation
-**/
-UINT32
-TZASCGetNumRegions (
-  IN UINTN TzascBase
-  )
-{
-  return (MmioRead32 ((UINTN)TzascBase + TZASC_CONFIGURATION_REG) & 0xF);
-}
-
-/**
-    FIXME: Need documentation
-**/
-EFI_STATUS
-TZASCSetRegion (
-  IN  INTN  TzascBase,
-  IN  UINTN RegionId,
-  IN  UINTN Enabled,
-  IN  UINTN LowAddress,
-  IN  UINTN HighAddress,
-  IN  UINTN Size,
-  IN  UINTN Security,
-  IN  UINTN SubregionDisableMask
-  )
-{
-  UINT32*     Region;
-  UINT32      RegionAttributes;
-
-  if (RegionId > TZASCGetNumRegions(TzascBase)) {
-    return EFI_INVALID_PARAMETER;
-  }
-
-  RegionAttributes = TZASC_REGION_ATTR_SECURITY(Security) |
-                     TZASC_REGION_ATTR_SUBREG_DISABLE(SubregionDisableMask) |
-                     TZASC_REGION_ATTR_SIZE(Size) |
-                     TZASC_REGION_ATTR_ENABLE(Enabled);
-
-  Region = (UINT32*)((UINTN)TzascBase + TZASC_REGIONS_REG + (RegionId * 0x10));
-
-  MmioWrite32((UINTN)(Region), TZASC_REGION_SETUP_LO_ADDR(LowAddress));
-  MmioWrite32((UINTN)(Region+1), HighAddress);
-  MmioWrite32((UINTN)(Region+2), RegionAttributes);
-
-  return EFI_SUCCESS;
-}
diff --git a/ArmPlatformPkg/Drivers/ArmTrustZone/ArmTrustZone.inf b/ArmPlatformPkg/Drivers/ArmTrustZone/ArmTrustZone.inf
deleted file mode 100644
index 6f90589a5b90..000000000000
--- a/ArmPlatformPkg/Drivers/ArmTrustZone/ArmTrustZone.inf
+++ /dev/null
@@ -1,33 +0,0 @@
-#/* @file
-#  Copyright (c) 2011-2012, ARM Limited. All rights reserved.
-#
-#  This program and the accompanying materials
-#  are licensed and made available under the terms and conditions of the BSD License
-#  which accompanies this distribution.  The full text of the license may be found at
-#  http://opensource.org/licenses/bsd-license.php
-#
-#  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#*/
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = ArmTrustZoneLib
-  FILE_GUID                      = 5962d040-8b8a-11df-9a71-0002a5d5c51b
-  MODULE_TYPE                    = BASE
-  VERSION_STRING                 = 1.0
-  LIBRARY_CLASS                  = ArmTrustZoneLib
-
-
-[Sources.common]
-  ArmTrustZone.c
-
-[Packages]
-  MdePkg/MdePkg.dec
-  ArmPkg/ArmPkg.dec
-  ArmPlatformPkg/ArmPlatformPkg.dec
-
-[LibraryClasses]
-  BaseLib
-  IoLib
diff --git a/ArmPlatformPkg/Include/Drivers/ArmTrustzone.h b/ArmPlatformPkg/Include/Drivers/ArmTrustzone.h
deleted file mode 100644
index 827b5cd568c1..000000000000
--- a/ArmPlatformPkg/Include/Drivers/ArmTrustzone.h
+++ /dev/null
@@ -1,105 +0,0 @@
-/** @file
-*
-*  Copyright (c) 2011-2012, ARM Limited. All rights reserved.
-*
-*  This program and the accompanying materials
-*  are licensed and made available under the terms and conditions of the BSD License
-*  which accompanies this distribution.  The full text of the license may be found at
-*  http://opensource.org/licenses/bsd-license.php
-*
-*  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-*  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-*
-**/
-
-#ifndef __ARM_TRUSTZONE_H__
-#define __ARM_TRUSTZONE_H__
-
-#include <Uefi.h>
-
-// Setup TZ Protection Controller
-#define TZPC_DECPROT_0  0
-#define TZPC_DECPROT_1  1
-#define TZPC_DECPROT_2  2
-#define TZPC_DECPROT_MAX  2
-
-/**
-    FIXME: Need documentation
-**/
-EFI_STATUS
-TZPCSetDecProtBits (
-  IN  UINTN TzpcBase,
-  IN  UINTN TzpcId,
-  IN  UINTN Bits
-  );
-
-/**
-    FIXME: Need documentation
-**/
-EFI_STATUS
-TZPCClearDecProtBits (
-  IN  UINTN TzpcBase,
-  IN  UINTN TzpcId,
-  IN  UINTN Bits
-  );
-
-// Setup TZ Address Space Controller
-#define TZASC_REGION_ENABLED        1
-#define TZASC_REGION_DISABLED       0
-#define TZASC_REGION_SIZE_32KB      0xE
-#define TZASC_REGION_SIZE_64KB      0xF
-#define TZASC_REGION_SIZE_128KB     0x10
-#define TZASC_REGION_SIZE_256KB     0x11
-#define TZASC_REGION_SIZE_512KB     0x12
-#define TZASC_REGION_SIZE_1MB       0x13
-#define TZASC_REGION_SIZE_2MB       0x14
-#define TZASC_REGION_SIZE_4MB       0x15
-#define TZASC_REGION_SIZE_8MB       0x16
-#define TZASC_REGION_SIZE_16MB      0x17
-#define TZASC_REGION_SIZE_32MB      0x18
-#define TZASC_REGION_SIZE_64MB      0x19
-#define TZASC_REGION_SIZE_128MB     0x1A
-#define TZASC_REGION_SIZE_256MB     0x1B
-#define TZASC_REGION_SIZE_512MB     0x1C
-#define TZASC_REGION_SIZE_1GB       0x1D
-#define TZASC_REGION_SIZE_2GB       0x1E
-#define TZASC_REGION_SIZE_4GB       0x1F
-#define TZASC_REGION_SECURITY_SR    (1 << 3)
-#define TZASC_REGION_SECURITY_SW    (1 << 2)
-#define TZASC_REGION_SECURITY_SRW   (TZASC_REGION_SECURITY_SR|TZASC_REGION_SECURITY_SW)
-#define TZASC_REGION_SECURITY_NSR   (1 << 1)
-#define TZASC_REGION_SECURITY_NSW   1
-#define TZASC_REGION_SECURITY_NSRW  (TZASC_REGION_SECURITY_NSR|TZASC_REGION_SECURITY_NSW)
-
-/* Some useful masks */
-#define TZASC_REGION_SETUP_LO_ADDR_MASK   0xFFFF8000
-
-#define TZASC_REGION_ATTR_SECURITY_MASK   0xF
-#define TZASC_REGION_ATTR_SUBREG_DIS_MASK 0xFF
-#define TZASC_REGION_ATTR_SIZE_MASK       0x3F
-#define TZASC_REGION_ATTR_EN_MASK         0x1
-
-#define TZASC_REGION_SETUP_LO_ADDR(x)  ((x) & TZASC_REGION_SETUP_LO_ADDR_MASK)
-
-#define TZASC_REGION_ATTR_SECURITY(x)  (((x) & TZASC_REGION_ATTR_SECURITY_MASK) << 28)
-#define TZASC_REGION_ATTR_SUBREG_DISABLE(x) \
-                                       (((x) & TZASC_REGION_ATTR_SUBREG_DIS_MASK) << 8)
-#define TZASC_REGION_ATTR_SIZE(x)      (((x) & TZASC_REGION_ATTR_SIZE_MASK) << 1)
-#define TZASC_REGION_ATTR_ENABLE(x)    ((x) & TZASC_REGION_ATTR_EN_MASK)
-
-/**
-    FIXME: Need documentation
-**/
-EFI_STATUS
-TZASCSetRegion (
-  IN  INTN  TzascBase,
-  IN  UINTN RegionId,
-  IN  UINTN Enabled,
-  IN  UINTN LowAddress,
-  IN  UINTN HighAddress,
-  IN  UINTN Size,
-  IN  UINTN Security,
-  IN  UINTN SubregionDisableMask
-  );
-
-#endif