diff --git a/Platform/Hisilicon/D02/Drivers/AtaAtapiPassThru/AtaAtapiPassThru.inf b/Platform/Hisilicon/D02/Drivers/AtaAtapiPassThru/AtaAtapiPassThru.inf
deleted file mode 100644
index fd586bd..0000000
--- a/Platform/Hisilicon/D02/Drivers/AtaAtapiPassThru/AtaAtapiPassThru.inf
+++ /dev/null
@@ -1,28 +0,0 @@
-## @file
-#  AtaAtapiPassThru driver to provide native IDE/AHCI mode support.
-#
-#  This driver installs AtaPassThru and ExtScsiPassThru protocol in each ide/sata controller
-#  to access to all attached Ata/Atapi devices.
-#
-#  Copyright (c) 2010 - 2012, Intel Corporation. All rights reserved.<BR>
-#
-#  This program and the accompanying materials
-#  are licensed and made available under the terms and conditions of the BSD License
-#  which accompanies this distribution. The full text of the license may be found at
-#  http://opensource.org/licenses/bsd-license.php
-#  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-##
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = AtaAtapiPassThruDxe
-  FILE_GUID                      = 5E523CB4-D397-4986-87BD-A6DD8B22F455
-  MODULE_TYPE                    = UEFI_DRIVER
-  VERSION_STRING                 = 1.0
-  ENTRY_POINT                    = InitializeAtaAtapiPassThru
-
-[Binaries]
-  PE32|AtaAtapiPassThruDxe.efi|*
-  DXE_DEPEX|AtaAtapiPassThruDxe.depex|*
diff --git a/Platform/Hisilicon/D02/Drivers/Net/SnpPV600Dxe/SnpPV600Dxe.inf b/Platform/Hisilicon/D02/Drivers/Net/SnpPV600Dxe/SnpPV600Dxe.inf
deleted file mode 100644
index 8b9ee1d..0000000
--- a/Platform/Hisilicon/D02/Drivers/Net/SnpPV600Dxe/SnpPV600Dxe.inf
+++ /dev/null
@@ -1,28 +0,0 @@
-## @file
-# Component name for module SnpNt32Dxe
-#
-# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
-#
-#  This program and the accompanying materials
-#  are licensed and made available under the terms and conditions of the BSD License
-#  which accompanies this distribution. The full text of the license may be found at
-#  http://opensource.org/licenses/bsd-license.php
-#
-#  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#
-##
-
-[Defines]
-  INF_VERSION                    = 0x00010019
-  BASE_NAME                      = SnpPV600Dxe
-  FILE_GUID                      = 1AB373EB-2CD7-4D5C-9C39-D31845B67F5E
-  MODULE_TYPE                    = UEFI_DRIVER
-  VERSION_STRING                 = 1.0
-
-  ENTRY_POINT                    = InitializeSnpPV600Driver
-  UNLOAD_IMAGE                   = SnpPV600Unload
-
-[Binaries]
-  PE32|SnpPV600Dxe.efi|*
diff --git a/Platform/Hisilicon/D02/Drivers/SFC/SfcDxeDriver.inf b/Platform/Hisilicon/D02/Drivers/SFC/SfcDxeDriver.inf
deleted file mode 100644
index 02a4d7f..0000000
--- a/Platform/Hisilicon/D02/Drivers/SFC/SfcDxeDriver.inf
+++ /dev/null
@@ -1,29 +0,0 @@
-#/** @file
-#
-#    Copyright (c) 2015, Hisilicon Limited. All rights reserved.
-#    Copyright (c) 2015, Linaro Limited. All rights reserved.
-#
-#    This program and the accompanying materials
-#    are licensed and made available under the terms and conditions of the BSD License
-#    which accompanies this distribution. The full text of the license may be found at
-#    http://opensource.org/licenses/bsd-license.php
-#
-#    THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#    WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#**/
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = SFCDriver
-  FILE_GUID                      = 02C6BAAE-6E43-4910-8084-60D5045729A0
-  MODULE_TYPE                    = DXE_DRIVER
-  VERSION_STRING                 = 1.0
-  ENTRY_POINT                    = SFCInitialize
-
-
-
-[Binaries.common]
-  PE32|SFCDriver.efi|*
-  DXE_DEPEX|SFCDriver.depex|*
-
diff --git a/Platform/Hisilicon/D02/Library/AddressMapPv660D02/OemAddressMapPv660D02.inf b/Platform/Hisilicon/D02/Library/AddressMapPv660D02/OemAddressMapPv660D02.inf
deleted file mode 100644
index ee2c99c..0000000
--- a/Platform/Hisilicon/D02/Library/AddressMapPv660D02/OemAddressMapPv660D02.inf
+++ /dev/null
@@ -1,44 +0,0 @@
-#/** @file
-#
-#    Copyright (c) 2015, Hisilicon Limited. All rights reserved.
-#    Copyright (c) 2015, Linaro Limited. All rights reserved.
-#
-#    This program and the accompanying materials
-#    are licensed and made available under the terms and conditions of the BSD License
-#    which accompanies this distribution. The full text of the license may be found at
-#    http://opensource.org/licenses/bsd-license.php
-#
-#    THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#    WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#**/
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = OemAddressMapPv660D02
-  FILE_GUID                      = DDDA42BC-772E-4ff5-8C9F-524F7F6601A2
-  MODULE_TYPE                    = BASE
-  VERSION_STRING                 = 1.0
-  LIBRARY_CLASS                  = OemAddressMapLib
-
-[Sources.common]
-
-[Sources.AARCH64.GCC]
-
-[Binaries.AARCH64]
-  LIB|OemAddressMapPv660D02.lib|*
-
-[Packages]
-  MdePkg/MdePkg.dec
-  MdeModulePkg/MdeModulePkg.dec
-  ArmPkg/ArmPkg.dec
-
-  Silicon/Hisilicon/HisiPkg.dec
-
-[LibraryClasses]
-
-[BuildOptions]
-
-[FixedPcd]
-  gHisiTokenSpaceGuid.PcdNORFlashBase
-
diff --git a/Platform/Hisilicon/D02/MemoryInitPei/MemoryInitPeim.inf b/Platform/Hisilicon/D02/MemoryInitPei/MemoryInitPeim.inf
deleted file mode 100644
index 0095c82..0000000
--- a/Platform/Hisilicon/D02/MemoryInitPei/MemoryInitPeim.inf
+++ /dev/null
@@ -1,33 +0,0 @@
-#/** @file
-#
-#  Copyright (c) 2011-2014, ARM Ltd. All rights reserved.<BR>
-#  Copyright (c) 2015, Hisilicon Limited. All rights reserved.<BR>
-#  Copyright (c) 2015, Linaro Limited. All rights reserved.<BR>
-#  This program and the accompanying materials
-#  are licensed and made available under the terms and conditions of the BSD License
-#  which accompanies this distribution.  The full text of the license may be found at
-#  http://opensource.org/licenses/bsd-license.php
-#
-#  THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#  WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#  Based on the files under ArmPlatformPkg/MemoryInitPei/
-#
-#**/
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = MemoryInit
-  FILE_GUID                      = A311058D-0993-4C05-A3EC-16CC0801C1A0
-  MODULE_TYPE                    = PEIM
-  VERSION_STRING                 = 1.0
-
-  ENTRY_POINT                    = InitializeMemory
-
-[Sources]
-
-[Binaries.AARCH64]
-  TE|MemoryInit.efi|*
-
-[Depex]
-  TRUE
diff --git a/Silicon/Hisilicon/Pv660/Library/PlatformSysCtrlLibPv660/PlatformSysCtrlLibPv660.inf b/Silicon/Hisilicon/Pv660/Library/PlatformSysCtrlLibPv660/PlatformSysCtrlLibPv660.inf
deleted file mode 100644
index e36c6b6..0000000
--- a/Silicon/Hisilicon/Pv660/Library/PlatformSysCtrlLibPv660/PlatformSysCtrlLibPv660.inf
+++ /dev/null
@@ -1,54 +0,0 @@
-#/** @file
-#
-#    Copyright (c) 2015, Hisilicon Limited. All rights reserved.
-#    Copyright (c) 2015, Linaro Limited. All rights reserved.
-#
-#    This program and the accompanying materials
-#    are licensed and made available under the terms and conditions of the BSD License
-#    which accompanies this distribution. The full text of the license may be found at
-#    http://opensource.org/licenses/bsd-license.php
-#
-#    THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#    WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#**/
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = PlatformSysCtrlLibPv660
-  FILE_GUID                      = B6C2EF97-2E30-4AA4-A3F4-D4EB1BBA1CD2
-  MODULE_TYPE                    = BASE
-  VERSION_STRING                 = 1.0
-  LIBRARY_CLASS                  = PlatformSysCtrlLib
-
-[Sources.common]
-
-
-[Sources.AARCH64]
-
-[Binaries.AARCH64]
- LIB|PlatformSysCtrlLibPv660.lib|*
-
-[Packages]
-  MdePkg/MdePkg.dec
-  MdeModulePkg/MdeModulePkg.dec
-  ArmPkg/ArmPkg.dec
-
-  Silicon/Hisilicon/HisiPkg.dec
-
-[LibraryClasses]
-  ArmLib
-  OemAddressMapLib
-  OemMiscLib
-
-[FixedPcd]
-  gHisiTokenSpaceGuid.PcdPlatformDefaultPackageType
-  gHisiTokenSpaceGuid.PcdTrustedFirmwareEnable
-
-  gHisiTokenSpaceGuid.PcdM3SmmuBaseAddress
-  gHisiTokenSpaceGuid.PcdPcieSmmuBaseAddress
-  gHisiTokenSpaceGuid.PcdDsaSmmuBaseAddress
-  gHisiTokenSpaceGuid.PcdAlgSmmuBaseAddress
-
-[BuildOptions]
-
diff --git a/Silicon/Hisilicon/Pv660/Library/Pv660Serdes/Pv660SerdesLib.inf b/Silicon/Hisilicon/Pv660/Library/Pv660Serdes/Pv660SerdesLib.inf
deleted file mode 100644
index c9f3c0a..0000000
--- a/Silicon/Hisilicon/Pv660/Library/Pv660Serdes/Pv660SerdesLib.inf
+++ /dev/null
@@ -1,48 +0,0 @@
-#/** @file
-#
-#    Copyright (c) 2015, Hisilicon Limited. All rights reserved.
-#    Copyright (c) 2015, Linaro Limited. All rights reserved.
-#
-#    This program and the accompanying materials
-#    are licensed and made available under the terms and conditions of the BSD License
-#    which accompanies this distribution. The full text of the license may be found at
-#    http://opensource.org/licenses/bsd-license.php
-#
-#    THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-#    WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-#**/
-
-[Defines]
-  INF_VERSION                    = 0x00010005
-  BASE_NAME                      = Pv660SerdesLib
-  FILE_GUID                      = 488347A3-8014-4DC4-8566-B51CA16CE0BB
-  MODULE_TYPE                    = BASE
-  VERSION_STRING                 = 1.0
-  LIBRARY_CLASS                  = SerdesLib
-
-[Binaries.common]
-  LIB|Pv660SerdesLib.lib
-
-[Packages]
-  MdePkg/MdePkg.dec
-  MdeModulePkg/MdeModulePkg.dec
-
-  Silicon/Hisilicon/HisiPkg.dec
-
-
-[LibraryClasses]
-  DebugLib
-  IoLib
-  BaseLib
-  BaseMemoryLib
-
-
-  OemMiscLib
-
-[BuildOptions]
-
-[FixedPcd]
-
-
-